.page-wrap{
    min-height: calc(100vh - 40px);
    overflow: hidden;
}

.dynamic_menu{
    min-height: calc(100vh - 150px);
    max-height: calc(100vh - 150px);
    width: 100%;
    margin: 0;
    overflow-y: auto;
}

.page-auto-scroller{
    min-height: calc(100vh - 60px) !important;
    max-height: calc(100vh - 60px) !important;
}

.app-footer {
    position: relative;
    margin-top: -20px;
    height: 20px;
    border-top: 1px solid #CECECE;
    background: #306B9B;
    clear:both;
    padding: 0 13px 0 35%;;
}

.app-footer a{
    color: #ffffff !important;
}

.fixedscroll-200 {
    min-height: 200px;
    max-height: 200px;
    width: 100%;
    margin: 0;
    overflow-y: auto;
}

.fixedscroll-250 {
    min-height: 250px;
    max-height: 250px;
    width: 100%;
    margin: 0;
    overflow-y: auto;
}

.fixedscroll-300 {
    min-height: 300px;
    max-height: 300px;
    width: 100%;
    margin: 0;
    overflow-y: auto;
}

.fixedscroll-330 {
    min-height: 330px;
    max-height: 330px;
    width: 100%;
    margin: 0;
    overflow-y: auto;
}


.fixedscroll-350 {
    min-height: 350px;
    max-height: 350px;
    width: 100%;
    margin: 0;
    overflow-y: auto;
}

.fixedscroll-400 {
    min-height: 400px;
    max-height: 400px;
    width: 100%;
    margin: 0;
    overflow-y: auto;
}

.fixedscroll-420 {
    min-height: 420px;
    max-height: 420px;
    width: 100%;
    margin: 0;
    overflow-y: auto;
}

.fixedscroll-450 {
    min-height: 450px;
    max-height: 450px;
    width: 100%;
    margin: 0;
    overflow-y: auto;
}

.fixedscroll-480 {
    min-height: 480px;
    max-height: 480px;
    width: 100%;
    margin: 0;
    overflow-y: auto;
}

.fixedscroll-470 {
    min-height: 470px;
    max-height: 470px;
    width: 100%;
    margin: 0;
    overflow-y: auto;
}

.fixedscroll-500 {
    min-height: 500px;
    max-height: 500px;
    width: 100%;
    margin: 0;
    overflow-y: auto;
}

.fixedscroll-520 {
    min-height: 520px;
    max-height: 520px;
    width: 100%;
    margin: 0;
    overflow-y: auto;
}

.fixedscroll-550 {
    min-height: 550px;
    max-height: 550px;
    width: 100%;
    margin: 0;
    overflow-y: auto;
}

.fixedscroll-600 {
    min-height: 600px;
    max-height: 600px;
    width: 100%;
    margin: 0;
    overflow-y: auto;
}

.fixedscroll-650 {
    min-height: 650px;
    max-height: 650px;
    width: 100%;
    margin: 0;
    overflow-y: auto;
}

.fixedscroll-800 {
    min-height: 800px;
    max-height: 800px;
    width: 100%;
    margin: 0;
    overflow-y: auto;
}
.fixedscroll-1000 {
    min-height: 1000px;
    max-height: 1000px;
    width: 100%;
    margin: 0;
    overflow-y: auto;
}
.fixedscroll-1110 {
    min-height: 1110px;
    max-height: 1110px;
    width: 100%;
    margin: 0;
    overflow-y: auto;
}
.fixedscroll-1200 {
    min-height: 1200px;
    max-height: 1200px;
    width: 100%;
    margin: 0;
    overflow-y: auto;
}

.fixedscroll-900 {
    min-height: 900px;
    max-height: 900px;
    width: 100%;
    margin: 0;
    overflow-y: auto;
}

.hit-btn li {
    display: inline;
    margin-right: 5px;
    margin-top: 5px;
    float: left;
}

.hit-btn-list li {
    margin-right: 5px;
    margin-top: 5px;
    float: left;
}

.color-pale-yellow {
    color: #E0E061;
}

.color-star-yellow {
    color: #E2D834;
}

.color-dark-green {
    color: #076113;
}

.color-pale-blue {
    color: #3276B1;
}

.color-shade-green {
    color: #17e6b7;
}

.color-dark-red {
    color: #a90f00;
}

.color-dark-brown {
    color: #944444;
}

.color-dark-grey {
    color: #666666;
}

.fade-color-text {
    color: #aaa !important;
}

.bg-primary {
    background-color: #3f85cb;
    color: #ffffff !important;
}

.widget {
    margin-bottom: 15px;

    border: 0;
}

.panel {
    margin-bottom: 21px;
    background-color: #ffffff;
    border: 1px solid transparent;
    border-radius: 4px;
    -webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);
}

.profile-panel {
    margin-bottom: 30px;
    /*background-color: #ffffff;*/
    border: 1px solid inherit;
    border-radius: 5px;
    -webkit-box-shadow: 5px 5px 5px #888888;
    box-shadow: 5px 5px 5px #888888;
    margin-left: 10px;
}

.bg-primary {
    color: #fff;
    background-color: #5d9cec;
}

.row-table {
    display: table;
    table-layout: fixed;
    height: 100%;
    width: 100%;
    margin: 0;
}

.row-table > [class*="col-"] {
    display: table-cell;
    float: none;
    table-layout: fixed;
    vertical-align: middle;
}

/*.bg-primary {*/
    /*background-color: #d9534f;*/

    /*color: #ffffff !important;*/
/*}*/

.bg-primary-dark {
    background-color: #007ba7;
    color: #ffffff !important;
}

.bg-red {
    background-color: #90626D;
    color: #ffffff !important;
}

.bg-red-dark {
    background-color: #560518;
    color: #ffffff !important;
}

.bg-green {
    background-color: #37bc9b;
    color: #ffffff !important;
}

.bg-green-dark {
    background-color: #2b957a;
    color: #ffffff !important;
}

.bg-purple {
    background-color: #7266ba;
    color: #ffffff !important;
}

.bg-purple-dark {
    background-color: #564aa3;
    color: #ffffff !important;
}

.bg-grey {
    background-color: #5e5e5e;
    color: #ffffff !important;
}

.bg-grey-dark {
    background-color: #607D8B;
    color: #ffffff !important;
}

.only-bg-grey-dark{
    color: #607D8B !important;
}
.bg-yellow {
    background-color: #EEAE51;
    color: #ffffff !important;
}

.bg-yellow-dark {
    background-color: #F8A01E;
    color: #ffffff !important;
}

.pv-lg {
    padding-top: 10px !important;
    padding-bottom: 10px !important;
}

.pv-md {
    padding-top: 13px !important;
    /*padding-bottom: 8px !important;*/
}

.bs-wizard {
    margin-top: 20px;
}

/*Form Wizard*/
.bs-wizard {
    border-bottom: solid 1px #e0e0e0;
    padding: 0 0 10px 0;
}

.bs-wizard > .bs-wizard-step {
    padding: 0;
    position: relative;
}

.bs-wizard > .bs-wizard-step + .bs-wizard-step {
}

.bs-wizard > .bs-wizard-step .bs-wizard-stepnum {
    color: #a90329;
    margin-bottom: 5px;
    font-weight: 500;
}

.bs-wizard > .bs-wizard-step .bs-wizard-info {
    color: #3276b1;
    margin-top: 10%;
    margin-bottom: 2%;
}

.bs-wizard > .bs-wizard-step > .bs-wizard-dot {
    position: absolute;
    width: 30px;
    height: 30px;
    display: block;
    background: #2CB387;
    top: 45px;
    left: 50%;
    margin-top: -15px;
    margin-left: -15px;
    border-radius: 50%;
}

.bs-wizard > .bs-wizard-step > .bs-wizard-dot:after {
    content: ' ';
    width: 14px;
    height: 14px;
    background: rgb(243, 243, 243);
    border-radius: 50px;
    position: absolute;
    top: 8px;
    left: 8px;
}

.bs-wizard > .bs-wizard-step > .progress {
    position: relative;
    border-radius: 0px;
    height: 8px;
    box-shadow: none;
    margin: 20px 0;
}

.bs-wizard > .bs-wizard-step > .progress > .progress-bar {
    width: 0px;
    box-shadow: none;
    background: rgba(41, 10, 90, 0.48);
}

.bs-wizard > .bs-wizard-step.complete > .progress > .progress-bar {
    width: 100%;
}

.bs-wizard > .bs-wizard-step.active > .progress > .progress-bar {
    width: 50%;
}

.bs-wizard > .bs-wizard-step:first-child.active > .progress > .progress-bar {
    width: 0%;
}

.bs-wizard > .bs-wizard-step:last-child.active > .progress > .progress-bar {
    width: 100%;
}

.bs-wizard > .bs-wizard-step.disabled > .bs-wizard-dot {
    background-color: #f5f5f5;
}

.bs-wizard > .bs-wizard-step.disabled > .bs-wizard-dot:after {
    opacity: 0;
}

.bs-wizard > .bs-wizard-step:first-child > .progress {
    left: 50%;
    width: 50%;
}

.bs-wizard > .bs-wizard-step:last-child > .progress {
    width: 50%;
}

.bs-wizard > .bs-wizard-step.disabled a.bs-wizard-dot {
    pointer-events: none;
}

/*END Form Wizard*/

/*For Star Rating*/
.rating-container .caption, .rating-container .clear-rating, .rating-container .rating {
    display: inline-block;
    vertical-align: middle
}

.rating-loading {
    width: 25px;
    height: 25px;
    font-size: 0;
    color: #fff;
    background: url(../img/loading.gif) top left no-repeat;
    border: none
}

.rating-container .rating {
    cursor: default;
    position: relative;
    overflow: hidden;
    white-space: nowrap
}

.rating-disabled .rating {
    cursor: not-allowed
}

.rating-container .star {
    display: inline-block;
    margin: 0 3px;
    text-align: center
}

.rating-container .empty-stars {
    color: #aaa
}

.rating-container .filled-stars {
    position: absolute;
    left: 0;
    top: 0;
    margin: auto;
    color: #fde16d;
    white-space: nowrap;
    overflow: hidden;
    -webkit-text-stroke: 1px #777;
    text-shadow: 1px 1px #999
}

.rating-rtl {
    float: right
}

.rating-animate .filled-stars {
    transition: width .25s ease;
    -o-transition: width .25s ease;
    -moz-transition: width .25s ease;
    -webkit-transition: width .25s ease
}

.rating-rtl .filled-stars {
    left: auto;
    right: 0;
    -moz-transform: matrix(-1, 0, 0, 1, 0, 0) translate3d(0, 0, 0);
    -webkit-transform: matrix(-1, 0, 0, 1, 0, 0) translate3d(0, 0, 0);
    -o-transform: matrix(-1, 0, 0, 1, 0, 0) translate3d(0, 0, 0);
    transform: matrix(-1, 0, 0, 1, 0, 0) translate3d(0, 0, 0)
}

.rating-rtl.is-star .filled-stars {
    right: .06em
}

.rating-rtl.is-heart .empty-stars {
    margin-right: .07em
}

.rating-lg {
    font-size: 3.91em
}

.rating-md {
    font-size: 3.13em
}

.rating-sm {
    font-size: 2.5em
}

.rating-xs {
    font-size: 2em
}

.rating-xl {
    font-size: 4.89em
}

.rating-container .clear-rating {
    color: #aaa;
    cursor: not-allowed;
    font-size: 60%;
    padding-right: 5px
}

.clear-rating-active {
    cursor: pointer !important
}

.clear-rating-active:hover {
    color: #843534
}

.rating-container .caption {
    color: #999;
    font-size: 60%;
    margin-top: -.6em;
    margin-left: 5px;
    margin-right: 0
}

.rating-rtl .caption {
    margin-right: 5px;
    margin-left: 0
}

@media print {
    .rating-container .clear-rating {
        display: none
    }
}

.custom-panel {
    margin: 10px 0px 10px 0px;
    border: 1px solid transparent;
    border-radius: 4px;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);
    line-height: 30px;
}

.custom-panel a {
    color: white;
    font-size: 14px;
}

.custom-panel .div-mid {
    text-align: center;
    vertical-align: middle;
}

.background-color-grey {
    background-color: #e0dfe3
}

.select2-selection__choice {
    background-color: #006fa6 !important;
    padding: 0px 18px 5px 8px !important;
}

text.month-name,
text.calendar-heatmap-legend-text,
text.day-initial {
    font-size: 10px;
    fill: #aaaaaa;
    font-family: Helvetica, arial, 'Open Sans', sans-serif
}

.day-cell {
    border: 1px solid gray;
}

rect.day-cell:hover {
    stroke: #555555;
    stroke-width: 1px;
}

.day-cell-tooltip {
    position: absolute;
    z-index: 9999;
    padding: 5px 9px;
    color: #bbbbbb;
    font-size: 12px;
    background: rgba(0, 0, 0, 0.85);
    border-radius: 3px;
    text-align: center;
}

.day-cell-tooltip > span {
    font-family: Helvetica, arial, 'Open Sans', sans-serif
}

.custom-panel-heading a:after {
    font-family: 'Glyphicons Halflings';
    content: "\e114";
    float: right;
    color: #000;
}

.custom-panel-heading a.collapsed:after {
    content: "\e080";
}

.spinner {
    width: 100px;
    height: 40px;
    text-align: center;
    font-size: 10px;
}

.spinner > div {
    background-color: #333;
    height: 100%;
    width: 6px;
    display: inline-block;

    -webkit-animation: sk-stretchdelay 1.2s infinite ease-in-out;
    animation: sk-stretchdelay 1.2s infinite ease-in-out;
}

.spinner .rect2 {
    -webkit-animation-delay: -1.1s;
    animation-delay: -1.1s;
}

.spinner .rect3 {
    -webkit-animation-delay: -1.0s;
    animation-delay: -1.0s;
}

.spinner .rect4 {
    -webkit-animation-delay: -0.9s;
    animation-delay: -0.9s;
}

.spinner .rect5 {
    -webkit-animation-delay: -0.8s;
    animation-delay: -0.8s;
}

.spinner .rect6 {
    -webkit-animation-delay: -0.7s;
    animation-delay: -0.7s;
}

.spinner .rect7 {
    -webkit-animation-delay: -0.6s;
    animation-delay: -0.6s;
}

.spinner .rect8 {
    -webkit-animation-delay: -0.5s;
    animation-delay: -0.5s;
}

@-webkit-keyframes sk-stretchdelay {
    0%, 40%, 100% {
        -webkit-transform: scaleY(0.4)
    }
    20% {
        -webkit-transform: scaleY(1.0)
    }
}

@keyframes sk-stretchdelay {
    0%, 40%, 100% {
        transform: scaleY(0.4);
        -webkit-transform: scaleY(0.4);
    }
    20% {
        transform: scaleY(1.0);
        -webkit-transform: scaleY(1.0);
    }
}

.toggle-demo {
    position: absolute;
    top: 10px;
    right: -8px;
    display: block;
    width: 250px;
    height: auto;
    z-index: 99;
    opacity: .9
}

.toggle-demo:hover {
    opacity: 1
}

.toggle-demo .btn-group {
    width: 100px;
    float: left
}

.toggle-demo > span {
    display: inline-block;
    float: left;
    margin-right: 5px;
    line-height: 21px;
    color: #757575
}

.demo-vertical-uislider {
    box-sizing: border-box;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box
}

.demo-vertical-uislider > div {
    height: 200px;
    margin: 0 0 0 10px;
    display: inline-block
}

.demo-vertical-uislider > :first-child {
    margin-left: 15px
}

.knobs-demo > div {
    display: inline-block;
    margin-left: 30px
}

.knobs-demo > :first-child {
    margin-left: 0
}

.demo label input[type=checkbox].checkbox + span:before, .demo label input[type=radio].radiobox + span:before {
    border: 1px solid #5E5E5E
}

.demo label:hover input[type=checkbox].checkbox + span:before {
    border-color: #E77317
}

.demo label {
    margin-bottom: 4px !important
}

.demo .checkbox i {
    border-color: #7A7A7A
}

.demo .checkbox, .demo .radio {
    padding-left: 22px
}

.demo.activate {
    right: 0 !important;
    box-shadow: -11px 12px 23px rgba(0, 0, 0, .2);
    padding: 5px 10px 10px
}

.demo #demo-setting + form {
    display: none
}

.demo.activate #demo-setting + form {
    display: block
}

.demo {
    position: absolute;
    top: 5px;
    right: 0;
    width: 300px;
    z-index: 902;
    background: #F1DA91
}

.demo > span {
    position: absolute;
    right: 0;
    top: 0;
    display: block;
    height: 30px;
    width: 30px;
    border-radius: 5px 0 0 5px;
    background: #F1DA91;
    padding: 2px;
    text-align: center;
    line-height: 28px;
    cursor: pointer
}

.demo > span i {
    font-size: 17px
}

.demo.activate > span i:before {
    content: "\f00d"
}

.demo.activate > span {
    left: -30px
}

.demo > span:hover i {
    color: #333 !important
}

.demo form section {
    margin: 0 !important
}

.demo .btn {
    font-size: 13px !important;
    line-height: 1.5 !important;
    border-radius: 3px !important;
    padding: 3px 7px !important;
    height: auto !important
}

.demo-liveupdate-1 {
    font-size: 12px !important;
    position: absolute !important;
    left: 33px;
    top: 15px;
    display: block;
    z-index: 2;
    font-weight: 700;
    padding: 1px 61px 3px 7px
}

.demo-btns {
    margin: 0;
    padding: 0;
    list-style: none
}

.demo-btns > li {
    display: inline-block;
    margin-bottom: 7px
}

.demo-icon-font {
    font-size: 14px;
    margin-bottom: 6px;
    padding-top: 4px;
    padding-bottom: 4px
}

.demo-icon-font:hover {
    background-color: rgba(86, 61, 124, .1);
    text-decoration: none
}

.demo-modal {
    width: auto;
    max-width: 600px;
    z-index: 1
}

.demo-red {
    color: #DF413E
}

.demo-orange {
    color: #DAA03E
}

.demo-border {
    border: 1px solid rgba(0, 0, 0, .2)
}

.nav-demo-btn {
    display: none
}

body:not(.menu-on-top) .nav-demo-btn {
    display: block;
    padding: 6px 5px;
    margin: 5px 10px;
    width: auto;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    font-size: 12px;
    white-space: normal
}

.fixed-navigation .nav-demo-btn, .minified .nav-demo-btn {
    display: none !important
}

.smart-rtl .demo .margin-right-5 {
    margin-right: 0 !important
}

.left-panel-profile {
    border: 1px solid #D5D5D5;
    margin-bottom: 10px !important;
}

.left-panel-pills {
    margin-right: 0px !important;
    width: 100%;
}

.profile-body-dt {
    text-transform: capitalize;
    color: #277DBD;
}

.google-maps {
    position: relative;
    padding-bottom: 54.25%; /*This is the aspect ratio*/
    height: 0;
    overflow: hidden;
}

.color-grey-shade {
    color: #aab8c2;
}

/*Customized Wizard*/
.custom-bootstrapWizard {
    display: block;
    list-style: none;
    padding: 0;
    position: relative;
    width: 100%
}

.custom-bootstrapWizard a:active, .custom-bootstrapWizard a:focus, .custom-bootstrapWizard a:hover {
    text-decoration: none
}

.custom-bootstrapWizard li {
    display: block;
    float: left;
    width: 33%;
    text-align: center;
    padding-left: 0
}

.custom-bootstrapWizard li:before {
    border-top: 3px solid #55606E;
    content: "";
    display: block;
    font-size: 0;
    overflow: hidden;
    position: relative;
    top: 11px;
    right: 1px;
    width: 100%;
    z-index: 1
}

.custom-bootstrapWizard li:first-child:before {
    left: 50%;
    max-width: 50%
}

.custom-bootstrapWizard li:last-child:before {
    max-width: 50%;
    width: 50%
}

.custom-bootstrapWizard li.complete .step {
    background: #0aa66e;
    padding: 1px 6px;
    border: 3px solid #55606E
}

.custom-bootstrapWizard li .step i {
    font-size: 10px;
    font-weight: 400;
    position: relative;
    top: -1.5px
}

.custom-bootstrapWizard li .step {
    background: #B2B5B9;
    color: #fff;
    display: inline;
    font-size: 15px;
    font-weight: 700;
    padding: 7px 13px;
    border: 3px solid transparent;
    border-radius: 50%;
    line-height: normal;
    position: relative;
    text-align: center;
    z-index: 2;
    transition: all .1s linear 0s
}

.custom-bootstrapWizard li.active .step, .custom-bootstrapWizard li.active.complete .step {
    background: #0091d9;
    color: #fff;
    font-weight: 700;
    padding: 7px 13px;
    font-size: 15px;
    border-radius: 50%;
    border: 3px solid #55606E
}

.custom-bootstrapWizard li.active .title, .custom-bootstrapWizard li.complete .title {
    color: #2B3D53
}

.custom-bootstrapWizard li .title {
    color: #bfbfbf;
    display: block;
    font-size: 13px;
    line-height: 15px;
    max-width: 100%;
    position: relative;
    table-layout: fixed;
    text-align: center;
    top: 20px;
    word-wrap: break-word;
    z-index: 104
}

.device-message-box {
    border: 1px solid #DDDDDD;
    background-color: #FFFFFF;
    border-radius: 1%;
}

.device-message-box-tag {
    font-size: small;
    font-weight: 700;
    color: #428BCA;
    text-transform: uppercase;
}

.device-message-box-connector {
    margin-left: -20px;
    margin-right: -20px;
    padding-top: 2%;
}

.device-message-box-channel {
    text-transform: uppercase;
    font-size: small;
}

/*Bootstrap Tree View*/
.treeview .list-group-item {
    cursor: pointer !important;
}

.treeview span.indent {
    margin-left: 10px !important;
    margin-right: 10px !important;
}

.treeview span.icon {
    width: 12px !important;
    margin-right: 5px !important;
}

.treeview .node-disabled {
    color: silver !important;
    cursor: not-allowed !important;
}

/*override smart form properties*/
.smart-form-override {

}

.extra-2-perc-margin {
    margin-right: 2.5% !important;
    margin-left: 2.5% !important;
}

.margin-top-5-perc {
    margin-top: 5% !important;
}

.margin-5px {
    margin: 5px !important;
}

.margin-top-1 {
    margin-top: 1% !important;
}

.kpi-time-update {
    font-size: 12px;
    opacity: 0.8;
}

.dynamic-scroll-45 {
    min-height: 45vh;
    max-height: 46vh;
    width: 100%;
    margin: 0;
    overflow-y: auto;
}

.dynamic-scroll-60 {
    min-height: 60vh;
    max-height: 60vh;
    width: 100%;
    margin: 0;
    overflow-y: auto;
}

.dynamic-scroll-70 {
    min-height: 70vh;
    max-height: 70vh;
    width: 100%;
    margin: 0;
    overflow-y: auto;
}

.dynamic-height-2vh {
    height: 2vh !important;
}

.dynamic-height-3vh {
    height: 3vh !important;
}

.dynamic-height-5vh {
    height: 5vh !important;
}

.dynamic-height-40vh {
    height: 40vh !important;
}

.dynamic-height-45vh {
    height: 45vh !important;
}

.dynamic-height-50vh {
    height: 50vh !important;
}

.dynamic-height-65vh {
    height: 65vh !important;
}

.dynamic-height-78vh {
    height: 78vh !important;
}

.dynamic-height-90vh {
    height: 90vh !important;
}

.no-lf-padding {
    padding-left: 0px !important;
    padding-right: 0px !important;
}

.no-lf-margin {
    margin-left: 0px !important;
    margin-right: 0px !important;
}

.profile-btn {
    float: right;
    height: 31px;
    margin: 0px 3% 10px 5px;
    padding: 0 22px;
    font: 300 15px/29px 'Open Sans', Helvetica, Arial, sans-serif;
    cursor: pointer;
}

.min-height-300px {
    min-height: 300px !important;
}

.min-height-350px {
    min-height: 350px !important;
}

.min-height-400px {
    min-height: 400px !important;
}

.min-height-420px {
    min-height: 420px !important;
}

.min-height-450px {
    min-height: 450px !important;
}

.min-height-500px {
    min-height: 500px !important;
}

.min-height-600px {
    min-height: 600px !important;
}

.min-height-91 {
    min-height: 91vh !important;
}

.custom-jarviswidget {
    margin-bottom: 10px !important;
}

.dt-right-align {
    text-align: right !important
}

.dt-left-align {
    text-align: left !important
}

hr {
    margin-top: 5px !important;
    margin-bottom: 5px !important;
}

.select2-selection__choice__remove:before {
    float: right !important;
}

.smart-form .bootstrap-tagsinput .label {
    display: inline-block;
}

/*datatable alignment style*/
table.dataTable tbody th.dt-body-left,
table.dataTable tbody td.dt-body-left {
    text-align: left !important;
}

table.dataTable tbody th.dt-body-center,
table.dataTable tbody td.dt-body-center {
    text-align: center !important;
}

table.dataTable tbody th.dt-body-right,
table.dataTable tbody td.dt-body-right {
    text-align: right !important;
}

table.dataTable tbody tr.selected {
    background-color: #e3e3e3;
}

table.dataTable tbody td {
    padding: 2px 10px !important;
}

table.dataTable thead th {
    vertical-align: middle !important;
    padding: 4px 10px;
}

.parentTableHeader {
    background-color: #e3e3e3 !important;
}

.selected {
    background-color: #ffc !important;
}

.selected-subscriber-profile {
    background-color: #3A92B1 !important;
}

.height-200px {
    height: 200px !important;
}

.height-250px {
    height: 250px !important;
}

.height-280px {
    height: 280px !important;
}

.height-290px {
    height: 290px !important;
}

.height-300px {
    height: 300px !important;
}

.height-330px {
    height: 330px !important;
}

.height-350px {
    height: 350px !important;
}

.height-400px {
    height: 400px !important;
}

.height-410px {
    height: 410px !important;
}

.height-420px {
    height: 420px !important;
}

.height-430px {
    height: 430px !important;
}

.height-437px {
    height: 437px !important;
}

.height-440px {
    height: 440px !important;
}

.height-450px {
    height: 450px !important;
}

.height-480px {
    height: 480px !important;
}

.height-500px {
    height: 500px !important;
}

.height-520px {
    height: 520px !important;
}

.height-550px {
    height: 550px !important;
}

.height-600px {
    height: 600px !important;
}

.padding-top-5 {
    padding-top: 5px !important
}

.marign-bottom-5 {
    margin-bottom: 5px !important;
}

.marign-right-5 {
    margin-right: 5px !important;
}

.accordianFixedscroll-300 {
    max-height: 300px;
    width: 100%;
    margin: 0;
    overflow-y: auto;
}

.select2-container--default .select2-selection--multiple {
    border-radius: 0px !important;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
    border-radius: 0px !important;
}

/*ETL Animation*/
.etl-started {
    display: block;
    margin: 0;
    border-radius: 50%;
    height: 20px;
    width: 20px;
    background: radial-gradient(circle at 50% 120%, #81e8f6, #76deef 10%, #055194 80%, #062745 100%);
}

.etl-stopped {
    display: block;
    margin: 0;
    border-radius: 50%;
    height: 20px;
    width: 20px;
    background: radial-gradient(circle at 50% 120%, #e25a79, #ef99ad 5%, #bf0731 80%, #6f011b 100%);
}

.padding-6 {
    padding: 6px !important;
}

.padding-3 {
    padding: 3px !important;
}

.margin-3 {
    margin: 3px !important;
}

.select2-search {
    z-index: 0 !important;
}

.alert-header {
    background-color: #e3e3e3;
}

.dt-toolbar {
    padding-right: 3px !important;
    padding-left: 3px !important;
}

/*removing bullets from li*/
.custom-styled-list {
    margin: 0;
    padding: 0;
    list-style: none;
}

.custom-styled-list li {
    /*display: inline-block;*/
    margin: 15px !important;
}

.select2-selection--multiple {
    line-height: 1.0 !important;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
    margin: 3px !important;
}

*:not(.fa):not(.glyphicon):not(.select2-selection__choice__remove) {
    font-family: "Calibri", "Open Sans", "Arial", "Helvetica", "sans-serif" !important;
}

@media (max-width: 1199px) {
    .custom-min-height {
        min-height: 80vh !important;
    }
}

@media (min-width: 1200px) {
    .custom-min-height {
        min-height: 83vh !important;
    }
}

.modal-dialog-full-screen {
    width: 100%;
    height: 100%;
    padding: 0;
}



/* For Making MOdal in the middle of page */
.modal-inner-table {
    display: table;
    height: 100%;
    width: 100%;
}

.modal-inner-table-cell {
    display: table-cell;
    vertical-align: middle;
}

.highlight-div {
    -webkit-transform: scale(1.1);
    -moz-transform: scale(1.1);
    -ms-transform: scale(1.1);
    -o-transform: scale(1.1);
    transform: scale(1.1);
    -webkit-transition: all 0.4s ease-in-out;
    -moz-transition: all 0.4s ease-in-out;
    -o-transition: all 0.4s ease-in-out;
    transition: all 0.4s ease-in-out;
}

.lead-text {
    text-align: center;
    color: aliceblue;
    margin-bottom: 5px;
    padding-top: 10px;
}

/*.no-padding{*/
    /*padding: 0 0 0 0;*/
/*}*/

.well-black-text {
    background-color: #fbfbfb;
    border: 1px solid #ddd;
    color: #000;
    box-shadow: 0 1px 1px #ececec;
    -webkit-box-shadow: 0 1px 1px #ececec;
    -moz-box-shadow: 0 1px 1px #ececec;
    position: relative;
}

.display-none{
    display: none;
}

@media (min-width: 992px) {
    .modal-lg-1060px {
        width: 1060px;
    }
}

@media (min-width: 992px) {
    .modal-lg-1120px {
        width: 1120px;
    }
}

@media (min-width: 992px) {
    .modal-lg-750px {
        width: 750px;
    }
}

body.smart-style-6 .table > tbody > tr > td, body.smart-style-6 .table > tbody > tr > th, body.smart-style-6 .table > tfoot > tr > td, body.smart-style-6 .table > tfoot > tr > th, body.smart-style-6 .table > thead > tr > td, body.smart-style-6 .table > thead > tr > th {
    padding: 7px 5px;
}

.table-hover > tbody > tr:hover, .table-hover > tbody > tr:hover > td {
    background: #F3F578 !important;
}

body.smart-style-6 .minifyme {
    padding: 1px 3px !important;

}

.btn-circle {
    width: 30px;
    height: 30px;
    padding: 6px 0;
    border-radius: 15px;
    text-align: center;
    font-size: 12px;
    line-height: 1.428571429;
}

.btn-rounded {
    border-radius: 50px !important;
}

.btn-danger.btn-outline {
    color: #ed5565 !important;
}
.box {
    position: relative;
    overflow: auto;
    margin-bottom: 20px;
    border-radius: 2px;
}

.m-t-1, .m-y-1 {
    margin-top: 10px !important
}

.m-b-1, .m-y-1 {
    margin-bottom: 10px !important
}

.border-color{
    border: 1px solid #ddd !important;
}

.select2-container .select2-search--inline .select2-search__field{
    margin-top: 0px !important;
}

.pulse-button {
    -webkit-animation: pulse 1.5s infinite;
}

@-webkit-keyframes pulse {
    0% {
    @include transform(scale(.9));
    }
    70% {
    @include transform(scale(1));
        box-shadow: 0 0 0 50px rgba(#5a99d4, 0);
    }
    100% {
    @include transform(scale(.9));
        box-shadow: 0 0 0 0 rgba(#5a99d4, 0);
    }
}

.col-xs-12a,.col-md-6a,.col-sm-6a,.col-lg-6a{
    position: relative;
    min-height: 1px;
    padding-left: 13px;
    padding-right: 13px
}

@media (min-width: 768px) {
    .col-sm-6a {
        float : left;
        width: 50%;
    }

}

@media (min-width: 992px) {
    .col-md-6a {
        float: left;
        width: 50%
    }

}

@media (min-width: 1200px) {
    .col-lg-6a{
        float: left;
        width: 32%
    }
}

.col-xs-12a{
    float: left;
    width: 100%;
}
